/*
 * Created on May 21, 2004
 *
 */
package eclipse.kickstart.uml;



import java.util.Collection;



import java.util.Iterator;


/**
 * @author carlos
 * 
 */

public class Course {

    /**
     *  
     * @uml.property name="student"
     * @uml.associationEnd multiplicity="(0 -1)" inverse="course:eclipse.kickstart.uml.Student"
     */
    private Collection student;


    /**
     *  
     * @uml.property name="instructor"
     * @uml.associationEnd multiplicity="(0 1)" inverse="course:eclipse.kickstart.uml.Instructor"
     */
    private Instructor instructor;

    /**
     *  
     * @uml.property name="instructor"
     */
    public Instructor getInstructor() {
        return instructor;
    }

    /**
     *  
     * @uml.property name="instructor"
     */
    public void setInstructor(Instructor instructor) {
        this.instructor = instructor;
    }

    /**
     * 
     * @uml.property name="student"
     */
    public void setStudent(java.util.Collection value) {
        student = value;
    }

    /**
     * 
     * @uml.property name="student"
     */
    public Iterator studentIterator() {
        return student.iterator();
    }

    /**
     * 
     * @uml.property name="student"
     */
    public boolean addStudent(eclipse.kickstart.uml.Student element) {
        return student.add(element);
    }

    /**
     * 
     * @uml.property name="student"
     */
    public boolean removeStudent(eclipse.kickstart.uml.Student element) {
        return student.remove(element);
    }

    /**
     * 
     * @uml.property name="student"
     */
    public boolean isStudentEmpty() {
        return student.isEmpty();
    }

    /**
     * 
     * @uml.property name="student"
     */
    public void clearStudent() {
        student.clear();
    }

    /**
     * 
     * @uml.property name="student"
     */
    public boolean containsStudent(eclipse.kickstart.uml.Student element) {
        return student.contains(element);
    }

    /**
     * 
     * @uml.property name="student"
     */
    public boolean containsAllStudent(Collection elements) {
        return student.containsAll(elements);
    }

    /**
     * 
     * @uml.property name="student"
     */
    public int studentSize() {
        return student.size();
    }

    /**
     * 
     * @uml.property name="student"
     */
    public eclipse.kickstart.uml.Student[] studentToArray() {
        return (eclipse.kickstart.uml.Student[]) student
            .toArray(new eclipse.kickstart.uml.Student[student.size()]);
    }

}
