/*
 * Created on May 20, 2004
 * 
 */
package calculator;

import java.text.DecimalFormat;

/**
 * @author carlos
 * 
 */
public class SimpleCalculator implements Calculator {

    private static final String USAGE = "java calculator.SimpleCalculator val1 val2";

    /*
     * (non-Javadoc)
     * 
     * @see calculator.Calculator#add(int, int)
     */
    public int add(int i, int j) {
        return i + j;
    }

    public static void main(String[] args) {
        if (args == null || args.length < 2) {
            System.out.println(USAGE);
        } else {
            Calculator calculator = new SimpleCalculator();
            int val1 = Integer.parseInt(args[0]);
            int val2 = Integer.parseInt(args[1]);
            int result = calculator.add(val1, val2);

            String format = System.getProperty("format");
            String strResult = null;
            if (format != null) {
                DecimalFormat formatter = new DecimalFormat(format);
                strResult = formatter.format(result);
            } else {
                strResult = Integer.toString(result);
            }
            System.out.println("Result: " + strResult);
        }

    }
}