package example;

import junit.framework.Test;
import junit.framework.TestSuite;

public class SaveAllTests {

    public static Test suite() {
        TestSuite suite = new TestSuite("Test for example");

        // Only run the named methods.
        suite.addTest(new TimeSeriesServiceTest("testGetTimeSeries"));
        suite.addTest(new OTCQuoteServiceTest("testGetOTCQuote"));
        suite.addTest(new QuoteServiceTest("testGetQuote"));

        // Run all of the tests contained within each class.
        //$JUnit-BEGIN$
        suite.addTestSuite(OTCQuoteServiceTest.class);
        suite.addTestSuite(QuoteServiceTest.class);
        suite.addTestSuite(TimeSeriesServiceTest.class);
        //$JUnit-END$
        return suite;
    }
}
