package example.ve.swing;

import javax.swing.ComboBoxModel;
import javax.swing.ListModel;
import javax.swing.table.TableModel;

public class DatabaseViewerModel {

    private ComboBoxModel _databaseNameComboBoxModel;
    private ListModel _tableNameListModel;
    private TableModel _databaseTableModel;
    
    public DatabaseViewerModel() {
        _databaseNameComboBoxModel = new DatabaseNameComboModel();
        _tableNameListModel = new TableNameListModel();
        _databaseTableModel = new DatabaseTableModel();
    }

    public ComboBoxModel getDatabaseNameComboBoxModel() {
        return _databaseNameComboBoxModel;
    }

    public TableModel getDatabaseTableModel() {
        return _databaseTableModel;
    }

    public ListModel getTableNameListModel() {
        return _tableNameListModel;
    }

}
